> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Employee

Create a new employee.

**Note:** This action takes effect immediately and cannot be undone or reversed. Wait 60 seconds after creating an employee before using its ID in other actions.

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [Paycor documentation](https://developers.paycor.com/explore?version=2#operation/Create%20Employee%20v2).

## Basic Parameters

| Parameter | Description |
| - | - |
| Department Code | The code of the department the employee belongs to. Can be obtained from the `List Legal Entity Departments` action. |
| First Name | The first name of the new employee. |
| Hire Date | The date the employee was hired. |
| Last Name | The last name of the new employee. |
| Legal Entity ID | The ID of the legal entity to create the employee for. |
| Paygroup Description | The description of the pay group the employee belongs to. Can be obtained from the `List Pay Groups` action. |
| Status | Select the employment status of the employee. |
| Street Line 1 | The first line of the employee primary street address. |
| Street Line 2 | An additional line of the employee street address. |
| Zip Code | The zip code of the employee address. |

## Advanced Parameters

| Parameter | Description |
| - | - |
| Additional Parameters | A JSON object for additional body parameters. Values specified in this parameter will override equivalent parameters. For example: <pre>`{    "first_key": 12345,    "second_key": "some_value"}`</pre>The object must follow the vendor's structure as defined in the [API documentation](https://developers.paycor.com/explore?version=2#operation/Create%20Employee%20v2). |
| City | The city of the employee address. |
| Country | The country of the employee address. |
| County | The county of the employee primary address. |
| Employee Number | The unique number of the employee in the tenant. Generated by Paycor if not provided. |
| Home Email | The home email address of the employee. |
| Middle Name | The middle name of the employee. |
| Prefix | Select the prefix of the employee name. |
| State | The state of the employee address. |
| Suffix | Select the suffix of the employee's name. |
| Suite | The suite of the employee address. |
| Work Email | The work email address of the employee. |

## Example Output

```json theme={"dark"}
{
	"resourceUrl": {
		"id": "d63759d5-40cc-4ec2-98df-772342f1b974",
		"url": "v1/myresources/resource?resourceID=d63759d5-40cc-4ec2-98df-772342f1b974"
	}
}
```

## Workflow Library Example

[Create Employee with Paycor and Send Results Via Email](https://library.blinkops.com/workflows/create-employee-with-paycor-and-send-results-via-email)

![Workflow Library](https://mintcdn.com/blinkops-2/ojHYuDeYX5FWuN8a/img/Icons/play-box.svg?fit=max\&auto=format\&n=ojHYuDeYX5FWuN8a\&q=85\&s=b8af968e71438a9499c3223c9bd29fb2)

Preview this Workflow on desktop

[https://library.blinkops.com/workflows/create-employee-with-paycor-and-send-results-via-email/canvas](https://library.blinkops.com/workflows/create-employee-with-paycor-and-send-results-via-email/canvas)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.